[ORG 0x7c00]
[BITS 16] 

;
; nacteni jednoho nebo vice sektoru z disku
;

    mov si, dapack         ; adresa paketu s adresami pro prenos dat 
    mov ah, 0x42           ; identifikator operace
    mov dl, 0x80           ; cislo disku 0 (plus 0x80)
    int 0x13
    jc disk_err

;
; vypis obsahu (varianta 1)
;

    mov si, 0x9000         ; vlozime adresu retezce
    mov ah, 0x0e           ; identifikator vystupni operace

print:
    mov al, [si]           ; precteme jeden znak
    cmp al, 0              ; pokud je \0,
    jz stop                ; skoncime

    int 0x10               ; vypiseme znak
    add si, 1              ; a pokracujeme dalsim znakem
    jmp print

;
; chyba pri pristupu na disk
;
disk_err:
   mov al, 'F'
   mov ah, 0x0e
   int 0x10

stop:
    jmp stop               ; vstoupime do nekonecne smycky 

;
; struktura obsahujici paket s adresami (disk address packet)
; urcena pro cteni dat z disku
;
dapack:
    db 0x10		; velikost prikazu
    db 0		; vzdycky 0
blkcnt:	
    dw 1		; pocet bloku k precteni/nactenych (hodnota zmenena po provedeni preruseni) 
dest:                   ; adresa ciloveho bufferu (0x0000:0x9000)	
    dw 0x9000		; offset v ramci segmentu (0x9000)
    dw 0		; segment (0x0000)
src:	
    dd 1		; adresa bloku na disku
    dd 0		; 

; dokonceni prvniho sektoru

    times 510 -($-$$) db 0 ; vyplnime zbyvajici prostor 0
    dw 0xaa55              ; signatura MBR


;
; druhy sektor disku
;

second_blk:
    db 'Hello from the other sector', 0
    times 512 - ($-second_blk) db 0
